diff --git a/boards/nrf7002dk_nrf5340_cpuapp.conf b/boards/nrf7002dk_nrf5340_cpuapp.conf
index 2f78d3f..042c9f2 100644
--- a/boards/nrf7002dk_nrf5340_cpuapp.conf
+++ b/boards/nrf7002dk_nrf5340_cpuapp.conf
@@ -11,8 +11,6 @@ CONFIG_ENTROPY_GENERATOR=y
 
 # Activated with the debug overlay
 CONFIG_SHELL=n
-CONFIG_CONSOLE=n
-CONFIG_LOG=n
 
 # Heap and stacks
 CONFIG_INIT_STACKS=y
@@ -34,7 +32,7 @@ CONFIG_NET_MGMT_EVENT_STACK_SIZE=4096
 CONFIG_NET_MGMT_EVENT=y
 CONFIG_NET_MGMT_EVENT_INFO=y
 CONFIG_WIFI_MGMT_EXT=y
-CONFIG_NET_CONNECTION_MANAGER=y
+CONFIG_NET_CONNECTION_MANAGER=n
 
 # Networking
 CONFIG_NETWORKING=y
@@ -105,11 +103,11 @@ CONFIG_MBEDTLS_SSL_SERVER_NAME_INDICATION=y
 # The sample enables flash storage for coredumps, which depend on the parition manager.
 # By default, nRF7002DK builds are for a single image, so the partition manager must be enabled
 # also for single image builds.
-CONFIG_PM_SINGLE_IMAGE=y
+#CONFIG_PM_SINGLE_IMAGE=y
 
 # Zephyr NET Connection Manager Connectivity layer.
 CONFIG_L2_WIFI_CONNECTIVITY=y
 CONFIG_L2_WIFI_CONNECTIVITY_AUTO_CONNECT=n
-# CONFIG_L2_WIFI_CONNECTIVITY_AUTO_DOWN=n
+CONFIG_L2_WIFI_CONNECTIVITY_AUTO_DOWN=n
 
 CONFIG_NET_CONNECTION_MANAGER_MONITOR_STACK_SIZE=4096
diff --git a/prj.conf b/prj.conf
index 404a4c9..9c1f5f8 100644
--- a/prj.conf
+++ b/prj.conf
@@ -5,4 +5,71 @@
 CONFIG_POSIX_MAX_FDS=9
 CONFIG_NET_CONFIG_AUTO_INIT=y
 
-# Networking Management AP
\ No newline at end of file
+# Networking Management AP
+CONFIG_MEMFAULT=y
+CONFIG_NET_NATIVE=y
+
+# CONFIG_FPU=y
+
+CONFIG_MEMFAULT_ROOT_CERT_STORAGE_TLS_CREDENTIAL_STORAGE=y
+CONFIG_MEMFAULT_NCS_PROVISION_CERTIFICATES=y
+
+CONFIG_MEMFAULT_NCS_PROJECT_KEY="aT8m6B52VflxR0iFqVNy7I2a6e5abMfh"
+CONFIG_MEMFAULT_NCS_STACK_METRICS=y
+CONFIG_MEMFAULT_HEAP_STATS=y
+
+
+CONFIG_MEMFAULT_HTTP_ENABLE=y
+CONFIG_MEMFAULT_HTTP_PERIODIC_UPLOAD=y
+
+CONFIG_MEMFAULT_LOGGING_ENABLE=y
+
+# Store coredump to flash
+CONFIG_MEMFAULT_NCS_INTERNAL_FLASH_BACKED_COREDUMP=y
+CONFIG_MEMFAULT_COREDUMP_COLLECT_BSS_REGIONS=y
+
+# Dependencies for flash storage
+CONFIG_FLASH=y
+CONFIG_FLASH_MAP=y
+CONFIG_STREAM_FLASH=y
+
+# Increase the event storage size so that all metrics generated by the application
+# are reliably sent to the memfault cloud.
+CONFIG_MEMFAULT_EVENT_STORAGE_SIZE=2048
+# ************ Driver & Subsystem  ************ #
+CONFIG_BT=y
+CONFIG_NANOPB=y
+# ************ End of Driver & Subsystem ************ #
+
+# ************ Bluetooth  ************
+CONFIG_BT_SMP=y
+CONFIG_BT_PERIPHERAL=y
+
+CONFIG_BT_BUF_ACL_RX_SIZE=151
+CONFIG_BT_L2CAP_TX_MTU=147
+CONFIG_BT_BUF_ACL_TX_SIZE=151
+
+CONFIG_BT_RX_STACK_SIZE=4096
+CONFIG_BT_BONDABLE=n
+CONFIG_BT_DEVICE_NAME_DYNAMIC=y
+
+CONFIG_BT_WIFI_PROV=y
+
+# Setting BT supervision timeout to 75units (750ms) to avoid timeout of BT connection when radio is granted to WiFi during scan.
+CONFIG_BT_PERIPHERAL_PREF_TIMEOUT=75
+# ************ End of Bluetooth ************
+
+# Networking
+
+CONFIG_NET_SOCKETS_POSIX_NAMES=y
+CONFIG_NET_CONFIG_SETTINGS=y
+CONFIG_NET_CONFIG_MY_IPV4_ADDR="192.165.100.150"
+CONFIG_NET_CONFIG_PEER_IPV4_ADDR="192.165.100.1"
+
+# Similar to shell sample, add this option to ensure the event can get served.
+CONFIG_NET_MGMT_EVENT_QUEUE_TIMEOUT=5000
+CONFIG_NET_CONFIG_INIT_TIMEOUT=0 
+
+CONFIG_NET_OFFLOAD=y
+CONFIG_NET_SOCKETS_SOCKOPT_TLS=y
+CONFIG_NET_SOCKETS_POLL_MAX=16
diff --git a/src/memfault/memfault.c b/src/memfault/memfault.c
index 9daf4f1..59a9ac5 100644
--- a/src/memfault/memfault.c
+++ b/src/memfault/memfault.c
@@ -150,11 +150,6 @@ void start_memfault(void)
      */
     LOG_INF("Bringing network interface up and connecting to the network");
 
-    if (conn_mgr_all_if_up(true))
-    {
-        __ASSERT(false, "conn_mgr_all_if_up, error");
-        return;
-    }
 
     /* Performing in an infinite loop to be resilient against
      * re-connect bursts directly after boot, e.g. when connected
